curl --request GET \
--url https://api.studio.us.phrase.com/v1/projects/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.studio.us.phrase.com/v1/projects/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.studio.us.phrase.com/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24746a21-bf6a-46c8-872f-8df3c9df1b53",
"accountId": "e7631985-e50d-424e-beef-6cb536d32c11",
"name": "<string>",
"archived": false,
"firstRecordingId": "f62368a1-6fe7-4015-a010-3360ab987134",
"sourceLanguage": "en",
"subtitleProfileId": "12c499bb-1ec9-43f2-9e0a-c07486366898",
"mediaType": "AUDIO",
"duration": 11.7,
"fileCount": 1,
"owner": "<string>",
"status": "COMPLETED",
"recordingTypes": [
"TRANSCRIPTION"
],
"createdAt": "2025-11-06T16:27:38.279Z",
"updatedAt": "2025-11-06T16:32:19.742Z",
"recordings": [
{
"id": "f62368a1-6fe7-4015-a010-3360ab987134",
"projectId": "24746a21-bf6a-46c8-872f-8df3c9df1b53",
"name": "audio.wav",
"type": "application/octet-stream",
"extension": "wav",
"sourceLanguage": "en",
"translationLanguages": [],
"dubbingLanguages": [],
"summaryEnabled": false,
"customAttributesEnabled": false,
"sourceDuration": 11.65,
"duration": 11.7,
"createdAt": "2025-11-06T16:27:40.620Z",
"updatedAt": "2025-11-06T16:27:40.620Z",
"insightsEnabled": false,
"safeCommunicationsEnabled": false
}
],
"pronunciations": [],
"safeCommunications": [],
"insights": []
}Get Project Details
Retrieve detailed information about a specific project
Authorizations
Path Parameters
Project ID
Response
Project details retrieved successfully
Project ID
"01jzmvc20cjq5hj5saa96ttp2x"
Project name
"Meeting Recording"
Current project status
ARCHIVED, PENDING, IN_PROGRESS, COMPLETED, FAILED "IN_PROGRESS"
Project creation timestamp
Project last update timestamp
First recording ID
Source language code
Subtitle profile ID
Project media type
AUDIO, VIDEO, AUDIO_VIDEO Total duration in seconds
Number of files in project
Owner user or team name
Account ID
Whether project is archived
TRANSCRIPTION, TRANSLATION, DUBBING, SUMMARY Recordings within the project
Show child attributes
Show child attributes
Glossary configuration for the project (if any)
Show child attributes
Show child attributes
Pronunciations applied to the project
Show child attributes
Show child attributes
Safe communication evaluations applied to the project
Show child attributes
Show child attributes
Insights applied to the project
Show child attributes
Show child attributes
Was this page helpful?